## python-pycosat 0.6.3+dfsg

=== Makefile ===
pycosat.so: libpicosat.a pycosat.c
	$(PYTHON) setup.py build_ext --inplace

picosat.o: picosat.c picosat.h
	$(CC) $(CFLAGS) -fPIC -c $<

libpicosat.a: picosat.o
	ar rc $@ picosat.o 


test: pycosat.so
	$(PYTHON) test_pycosat.py


clean:
	rm -rf build dist *.egg-info
	rm -f *.pyc *.so *.o *.a

=== debian/changelog ===
python-pycosat (0.6.3+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #924294)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 11:06:13 +0200

=== debian/control ===
Source: python-pycosat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               picosat
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pycosat
Vcs-Git: https://salsa.debian.org/med-team/python-pycosat.git
Homepage: https://pypi.org/project/pycosat/

Package: python3-pycosat
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python bindings to picosat
 PicoSAT is a popular SAT solver written by Armin Biere in pure C. This
 package provides efficient Python bindings to picosat on the C level,
 i.e. when importing pycosat, the picosat solver becomes part of the
 Python process itself.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/ContinuumIO/pycosat/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pycosat 0.6.4+dfsg

=== debian/changelog ===
python-pycosat (0.6.4+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.6.4+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 16:54:21 +0530

python-pycosat (0.6.3+dfsg-3) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jan 2022 15:41:46 +0100

python-pycosat (0.6.3+dfsg-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python3-pycosat: Add Multi-Arch: same.
  * Point Homepage field to Github

 -- Andreas Tille <tille@debian.org>  Sat, 09 Oct 2021 08:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               picosat
-Standards-Version: 4.4.0
+               picosat,
+               debhelper
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pycosat
 Vcs-Git: https://salsa.debian.org/med-team/python-pycosat.git
-Homepage: https://pypi.org/project/pycosat/
+Homepage: https://github.com/conda/pycosat
+Rules-Requires-Root: no
 
 Package: python3-pycosat
 Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Python bindings to picosat
  PicoSAT is a popular SAT solver written by Armin Biere in pure C. This
  package provides efficient Python bindings to picosat on the C level,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = pycosat
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(shell pybuild --print build_dir --interpreter python3) && python3 test_pycosat.py
endif

override_dh_install:
	dh_install
	find debian -name "test_*.py" -delete

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/ContinuumIO/pycosat/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pycosat 0.6.6%2Bdfsg

=== debian/changelog ===
python-pycosat (0.6.6+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:48:15 +0000

python-pycosat (0.6.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/watch: Update upstream url from ContinuumIO/pycosat for conda/pycosat
  * d/patches/use-debian-packaged-picosat.patch: Update patch and set
    Forwarded to not-needed
  * d/control: Replace autopkgtest-pkg-python with autopkgtest-pkg-pybuild
  * d/rules: Remove override_dh_auto_test and disable python2 option, copy
    test file to build directory
  * d/tests: Removed, upstream tests run by autopkgtest-pkg-pybuild

 -- Lance Lin <lq27267@gmail.com>  Thu, 30 Nov 2023 19:41:05 +0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                picosat,
                debhelper

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = pycosat
export PYBUILD_BEFORE_TEST = cp test_pycosat.py {build_dir}

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name "test_*.py" -delete

## python-pycosat 0.6.6+dfsg

=== debian/changelog ===
python-pycosat (0.6.6+dfsg-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:08:09 +0000

python-pycosat (0.6.6+dfsg-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:15:20 +0000

python-pycosat (0.6.6+dfsg-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:44 +0100

python-pycosat (0.6.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080768)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Sep 2024 16:32:03 +0200

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/conda/pycosat/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
